package com.ekexiu.console.system.po;

import com.ekexiu.console.basepo.CreateTimeSupported;
import com.ekexiu.console.basepo.ModifyTimeSupported;
import org.jfw.apt.orm.annotation.entry.Column;
import org.jfw.apt.orm.annotation.entry.PrimaryKey;
import org.jfw.apt.orm.annotation.entry.Table;
import org.jfw.apt.orm.core.defaultImpl.LongHandler;
import org.jfw.apt.orm.core.enums.DE;

/**
 * Created by TT on 2017/8/25.
 */
@PrimaryKey("id")
@Table
public class DiscoverBanner implements CreateTimeSupported, ModifyTimeSupported {
    private long id;
    private String title;
    private int banner;
    private String beginTime;
    private String endTime;
    private long clicks;
    private String descp;
    private String articleId;
    private String modifyTime;
    private String modifier;
    private String createTime;
    private String creator;
    private Integer location;

    @Column(DE.bigSerial)
    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    @Column(DE.Text_de)
    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    @Column(DE.int_de)
    public int getBanner() {
        return banner;
    }

    public void setBanner(int banner) {
        this.banner = banner;
    }

    @Column(DE.Text_de)
    public String getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(String beginTime) {
        this.beginTime = beginTime;
    }

    @Column(DE.Text_de)
    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    @Column(handlerClass = LongHandler.class, dbType = "BIGINT", fixSqlValueWithInsert = "0", insertable = true, renewable = false, nullable = false, queryable = true)
    public long getClicks() {
        return clicks;
    }

    public void setClicks(long clicks) {
        this.clicks = clicks;
    }

    @Column(DE.Text_de)
    public String getDescp() {
        return descp;
    }

    public void setDescp(String descp) {
        this.descp = descp;
    }

    @Column(DE.Text_de)
    public String getArticleId() {
        return articleId;
    }

    public void setArticleId(String articleId) {
        this.articleId = articleId;
    }

    @Column(DE.Text_de)
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Column(DE.Text_de)
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    @Column(DE.Int_de)
    public Integer getLocation() {
        return location;
    }

    public void setLocation(Integer location) {
        this.location = location;
    }

    @Override
    public String getModifyTime() {
        return this.modifyTime;
    }

    @Override
    public void setModifyTime(String modifyTime) {
        this.modifyTime = modifyTime;
    }

    @Override
    public String getCreateTime() {
        return this.createTime;
    }

    @Override
    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
