package com.ekexiu.console.system.service;

import org.jfw.apt.annotation.DefaultValue;
import org.jfw.apt.web.annotation.Path;
import org.jfw.apt.web.annotation.operate.Get;

import java.util.ArrayList;
import java.util.List;

@Path("/test")
public class TestService {

	
	@Get
	@Path("/typeahead")
	public List<TypeaheadItem> get(String q,@DefaultValue("11") int s){
		List<TypeaheadItem> ret = new ArrayList<>(s);
		for(int i = 0 ; i < s;++i){
			TypeaheadItem thi = new TypeaheadItem();
			String v = q+"_"+i;
			thi.setCode(v);
			thi.setCaption("caption_"+v);
			ret.add(thi);
		}
		return ret;
	}



	public static class TypeaheadItem{
		private String code;
		private String caption;
		public String getCode() {
			return code;
		}
		public void setCode(String code) {
			this.code = code;
		}
		public String getCaption() {
			return caption;
		}
		public void setCaption(String caption) {
			this.caption = caption;
		}
		
	}

	//private TestService(int i) {
	//	this.anInt = i;
	//}
	//
	//public static TestService build(int i) {
	//	return new TestService(i);
	//}
	//
	//public int getAnInt() {
	//	return anInt;
	//}
	//
	//public static void main(String[] args) {
	//	TestService testService = TestService.build(10);
	//	int i = testService.getAnInt();
	//	System.out.println(i);
	//}
}
